---
layout: markdown_page
title: "Category Direction - AI Abstraction Layer"
description: "An AI Architecture to standardize and abstract AI/ML technologies within GitLab"
---

## On this page
{:.no_toc}

- TOC
{:toc}

| | |
| --- | --- |
| Stage | [AI-powered](/direction/ai_assisted/) |
| Group | [AI Framework](/direction/ai_framework) |
| Maturity | [viable](/direction/maturity/) |
| Content Last Reviewed | `2024-01-30` |

## Overview
The AI Abstraction Layer category is focused on build the [AI Architecture](https://docs.gitlab.com/ee/user/ai_features.html) within GitLab's enterprise infrastructure. 

## Goals 
The AI Abstraction Layer aims to: 

1. Standardize and abstract common needs including performance, cost monitoring, health status, access controls, telemetry, interfaces, developer tools, and APIs.  
2. Scale, maintain, support production support for the AI/ML technologies abstracted behind the AI Architecture. 
3. Build initial engineering implementations of AI/ML technologies abstracted behind the AI Architecture. 
4. Support for all GitLab distributions: GitLab.com, Dedicated and self-hosted customers.

## Extensibility
The tooling and AI Architecture the AI Abstraction Layer supports will enable extensibility of AI/ML technologies for users of GitLab including the wider open source community. While we will prioritize needs within GitLab, we aim to make it easier to integrate other new AI/ML technologies with GitLab in a structured and scalable way. We encourage and welcome community contributions extending the AI Abstraction Layer and AI Architecture. 

<p align="center">
    <i><br>
    Last Reviewed: 2024-01-30<br>
    Last Updated: 2024-01-30
    </i>
</p>